登录  免费注册
当前位置:首页 > 补丁具体信息

libsixel堆缓冲区溢出漏洞的补丁

2020-01-17| 补丁编号:CNPD-2020-197369| 贡献者:CNVD
所属漏洞编号 CNVD-2020-02546
补丁链接 https://github.com/saitoha/libsixel/commit/a18b3789cfd147028403c17fe79a43b169d8f034
备注
补丁描述 libsixel是一个为DEC SIXEL图形和其他转换器程序提供编码/解码实现的软件包。 libsixel 1.8.4版本中的fromgif.c文件的‘gif_init_frame’函数存在缓冲区溢出漏洞。该漏洞源于网络系统或产品在内存上执行操作时,未正确验证数据边界,导致向关联的其他内存位置上执行了错误的读写操作。攻击者可利用该漏洞导致缓冲区溢出或堆溢出等。目前,供应商发布了安全公告及相关补丁信息,修复了此漏洞。
补丁附件 (无附件)
补丁状态 通过审核
补丁审核意见 (无审核意见)
  在发布漏洞公告信息之前,CNVD都力争保证每条公告的准确性和可靠性。然而,采纳和实施公告中的建议则完全由用户自己决定,其可能引起的问题和结果也完全由用户承担。是否采纳我们的建议取决于您个人或您企业的决策,您应考虑其内容是否符合您个人或您企业的安全策略和流程。
(编辑:CNVD)